Loading...
Searching...
No Matches
OgreCompositorInstance.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreMaterialManager.h"`
`#include "OgreRenderQueue.h"`
`#include "OgreCompositionTechnique.h"`
`#include "OgreHeaderPrefix.h"`
`#include <bitset>`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::CompositorInstance
| An instance of a Compositor object for one Viewport. More...
class | Ogre::CompositorInstance::Listener
| Provides an interface to "listen in" to to render system operations executed by this CompositorInstance. More...
class | Ogre::CompositorInstance::RenderSystemOperation
| Specific render system operation. More...
class | Ogre::CompositorInstance::TargetOperation
| Operation setup for a RenderTarget (collected). More...

## Namespaces

namespace | Ogre